spot 2.3.1

- Main Page
- Related Pages
- Modules
- Classes
- Files

- File List

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Modules Pages
Classes | Macros | Typedefs | Enumerations | Functions
parseaut.hh File Reference
`#include "config.h"`
`#include <spot/misc/common.hh>`
`#include <string>`
`#include <cstring>`
`#include <sstream>`
`#include <unordered_map>`
`#include <algorithm>`
`#include <spot/twa/formula2bdd.hh>`
`#include <spot/parseaut/public.hh>`
`#include "spot/priv/accmap.hh"`
`#include <spot/tl/parse.hh>`
`#include <spot/twaalgos/alternation.hh>`
`#include <vector>`
`#include <iostream>`
`#include <stdexcept>`
`#include "stack.hh"`
Include dependency graph for parseaut.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | hoayy_support::result_
struct | hoayy_support::result_::state_info
struct | hoayy_support::result_::prop_info
class | hoayy::parser
| A Bison parser. More...
union | hoayy::parser::semantic_type
| Symbol semantic values. More...
struct | hoayy::parser::syntax_error
| Syntax errors thrown from user actions. More...
struct | hoayy::parser::token
| Tokens. More...
struct | hoayy::parser::basic_symbol< Base >
struct | hoayy::parser::by_type
| Type access provider for token (enum) based symbols. More...

## Macros
#define | PARSE_ERROR_LIST res.h->errors
#define | YY_ATTRIBUTE(Spec) /* empty */
#define | YY_ATTRIBUTE_PURE YY_ATTRIBUTE ((__pure__))
#define | YY_ATTRIBUTE_UNUSED YY_ATTRIBUTE ((__unused__))
#define | _Noreturn YY_ATTRIBUTE ((__noreturn__))
#define | YYUSE(E) ((void) (E))
#define | YY_INITIAL_VALUE(Value) Value
#define | YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
#define | YY_IGNORE_MAYBE_UNINITIALIZED_END
#define | YYDEBUG 1

## Typedefs
typedef std::map< int, bdd > | hoayy_support::map_t
typedef std::map< std::string, bdd > | hoayy_support::formula_cache
typedef std::pair< int, std::string * > | hoayy_support::pair
typedef spot::twa_graph::namer < std::string > | hoayy_support::named_tgba_t

## Enumerations
enum | label_style_t { Mixed_Labels, State_Labels, Trans_Labels, Implicit_Labels }
enum | acc_style_t { Mixed_Acc, State_Acc, Trans_Acc }

## Functions
int | strverscmp (const char *s1, const char *s2)

## Detailed Description

Define the hoayy::parser class.

Please direct any question, comment, or bug report to the Spot mailing list at spot@lrde.epita.fr.